QGIS Application - Bug report #13521
Won't list postgres columns of json or jsonb type
2015-10-05 11:53 AM - Brian Freed

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.10.1 Regression?: No
Operating System: Windows 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21565
Description

QGIS doesn't seem to display postgresql json/jsonb columns at all.
Both tables and views.

CREATE TABLE json_text (id serial primary key, the_data TEXT, geog geography(point, 4326));
INSERT INTO json_text (the_data, geog) VALUES ($${"one": 1}$$, ST_MakePoint(-80, 40));

ADD TO QGIS >> see the_data.

CREATE VIEW as_json AS SELECT id, the_data::json as the_data, geog FROM json_text;

ADD TO QGIS >> no the_data in Layer Properties / Fields.

History

#1 - 2016-09-16 07:29 AM - Vladimir Rutsky

Any progress on this issue?

The issue can be reproduced on QGIS 2.14.1-Essen on GNU/Linux 64-bit.

#2 - 2017-03-27 11:28 AM - Jean-Gabriel JGH

Hello,

it is still the case with 2.18.4. | am using the json datatype in a spatial view - though the geometry column is one of its own. The Json columns are ignored
(not even listed in the layer field property).

To overcome the issue | have to convert to Text in my view definition

select myJsonCol::Text, jsonb_pretty(myJsonBcol), geom from myTable. it works OK for display (and the true json(b) column remains available in

Postgres)

JG

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#4 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#5 - 2019-03-09 03:07 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
